Page MenuHomePhabricator

Service should surface coordinates in Wikivoyage
Closed, ResolvedPublic

Description

It would be trivial for the mobile content service to surface coordinates when available. This allows the rendering of maps / links to maps / nearby pages to an article.

https://es.wikipedia.org/api/rest_v1/page/mobile-sections-lead/Savonlinna and https://en.wikipedia.org/api/rest_v1/page/mobile-sections-lead/Paris seem to surface a geo property but https://en.wikivoyage.org/api/rest_v1/page/mobile-sections-lead/Paris does not. Why?

Event Timeline

Jdlrobson created this task.Sep 7 2016, 8:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2016, 8:15 PM
Jdlrobson renamed this task from Service should surface coordinates to Service should surface coordinates in Wikivoyage.Sep 7 2016, 8:24 PM
Jdlrobson updated the task description. (Show Details)

It seems Wikivoyage use a different markup - #geoCoords and abbr tags. Should this be fixed on wiki or default with in MCS?

<div class="noprint" id="geoCoord"><span style="display:none"><span class="geo"><abbr class="latitude">48.856</abbr><abbr class="longitude">2.351</abbr></span></span><span title="Click for a full screen dynamic map..."><a href="//tools.wmflabs.org/wikivoyage/w/poimap2.php?lat=48.856&amp;lon=2.351&amp;zoom=13&amp;layer=W&amp;lang=en&amp;name=Paris"><noscript>&lt;img alt="Map mag.png" src="//upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Map_mag.png/25px-Map_mag.png" width="25" height="25" data-file-width="32" data-file-height="32"&gt;</noscript><span class="lazy-image-placeholder" style="width: 25px;height: 25px;" data-src="//upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Map_mag.png/25px-Map_mag.png" data-alt="Map mag.png" data-width="25" data-height="25"></span></a></span></div>

Change 309151 had a related patch set uploaded (by Jdlrobson):
Surface coordinates on Wikivoyage

https://gerrit.wikimedia.org/r/309151

Change 309151 merged by jenkins-bot:
Surface coordinates on Wikivoyage

https://gerrit.wikimedia.org/r/309151

@bearND can I be involved in the deploy?

bearND closed this task as Resolved.Sep 28 2016, 9:24 PM
bearND claimed this task.

@Jdlrobson Thanks for changing the column name from Done to To be deployed. This was actually deployed on 9/21, already. BTW, our deployment process is documented here: https://www.mediawiki.org/wiki/Wikimedia_Apps/Team/RESTBase_services_for_apps/Deployment_process. If you look at the git log for this repo you can see the deployment tags. The most recent one was deploy/2016-09-21/222e16b.

Sorry, I saw your request that you wanted to be involved in deploys too late. How would you like to be involved? Would you like to join a Hangout where I share my screen?